import React from 'react';
import { Option } from './types';
import { NetworksList } from './types/networks';
type NetworksContext = {
    networks: Option<NetworksList>;
    updateNetworks: (list: NetworksList) => void;
};
declare const NetworksContext: React.Context<NetworksContext>;
export declare function useNetworks(): NetworksContext;
declare function NetworksProvider({ children }: {
    children: React.ReactNode;
}): React.JSX.Element;
export default NetworksProvider;
